#include <stdio.h>
#include <errno.h>
#include <string.h>
#include <errno.h>
#include <signal.h>
#include <unistd.h>
#include <stdlib.h>

#include "procstate.h"
#include "tests.h"

int
main(void)
{
	int i;
	int ret;

	for (i = 0; i < 32; i++) {
		if (sched_setprocstate(0, PROC_ISOLATED) < 0) {
			if (errno == EBUSY) {
				ret = 0;
				break;
			}
		}
	}

	for (i = 0; i < 32; i++)
		sched_setprocstate(0, PROC_ENABLED);

	if (ret == 0)
		printf("pass\n");
	else
		printf("fail\n");

	return ret;
}
